<template>
  <nav class="main-menu">
    <ul
      v-if="type === MAIN_MENU_MODES.FULL"
      class="nav-list"
    >
      <li
        v-for="page in pageList"
        :key="page"
      >
        <g-link
          :to="$tp('/' + page)"
          active-class="current"
        >
          {{ $t('page_titles.' + page) }}
        </g-link>
      </li>
    </ul>
    <div
      v-if="type === MAIN_MENU_MODES.REDUCED"
      id="burger-menu"
      v-on-clickaway="hideBurgerMenu"
    >
      <img
        id="menu-bars-icon"
        :src="isBurgerMenuExpanded ? menuCloseIcon : menuBarsIcon"
        alt="Menu bars icon (Hamburger menu)"
        @click="toggleBurgerMenu"
      >
      <div
        id="burger-menu-links"
        :class="{'unfolded': isBurgerMenuExpanded}"
      >
        <ul
          class="nav-list"
        >
          <li
            v-for="page in pageList"
            :key="page"
          >
            <g-link
              :to="$tp('/' + page)"
              exact-active-class="current"
            >
              <span>{{ $t('page_titles.' + page) }}</span>
              <span>&gt;</span>
            </g-link>
          </li>
        </ul>
      </div>
    </div>
  </nav>
</template>

<script src="../scripts/components/main-menu.js"/>
<style lang="scss" src="../styles/components/main-menu.scss"/>
